# ImportNameOptions | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

Namespace name import options

param

  the namespace to import name into

param

  the name to import

param

  the address to register the name to

param

  the zonefile hash to register

param

  the private key to sign the transaction

param

  the Stacks blockchain network to use

### Hierarchy

- ImportNameOptions

## Index

### Properties

- beneficiary
- name
- namespace
- network
- publicKey
- zonefile

## Properties

### beneficiary

beneficiary: string

- Defined in packages/bns/src/index.ts:397

### name

name: string

- Defined in packages/bns/src/index.ts:396

### namespace

namespace: string

- Defined in packages/bns/src/index.ts:395

### network

network: StacksNetwork

- Defined in packages/bns/src/index.ts:400

### publicKey

publicKey: string

- Defined in packages/bns/src/index.ts:399

### zonefile

zonefile: string

- Defined in packages/bns/src/index.ts:398

Generated using TypeDoc